
Dashboard - Bug #37084

mgr/dashboard: Error when deleting images ending with whitespace in name

11/13/2018 11:53 AM - Alexander Kasper

Status: Can't reproduce % Done: 0%

Priority: Normal   

Assignee:    

Category: Component - RBD   

Target version: v13.2.1   

Source: Community (user) Affected Versions: v13.2.1

Tags:  ceph-qa-suite:  

Backport:  Pull request ID:  

Regression: No Crash signature (v1):  

Severity: 4 - irritation Crash signature (v2):  

Reviewed:    

Description

Using the dashboard to delete a rbd image via gui throws an error when the image name ends with an whitespace (user input error

leaded to this situation).

Also editing this image via dashboard throws error.

Deleting via cli with the name of pool/image put in " " was succesful.

Related issues:

Related to Dashboard - Bug #24621: Ceph Dashboard doesn't support IDs with sp... Resolved

History

#1 - 11/13/2018 01:30 PM - Lenz Grimmer

- Project changed from Ceph to mgr

- Category set to 139

#2 - 11/13/2018 01:34 PM - Lenz Grimmer

- Severity changed from 3 - minor to 4 - irritation

Thank you for reporting this. While I think that the dashboard not support creating objects with white space in them, it should still be possible to

remove or modify them. I assume the dashboard performs some kind of automatic whitespace removal in some layer here.

#3 - 11/13/2018 01:48 PM - Lenz Grimmer

- Subject changed from Deleting images ending with whitespace in name via dashboard to mgr/dashboard: Error when deleting images ending with

whitespace in name

#4 - 11/13/2018 02:04 PM - Lenz Grimmer

Just tried to verify this, this seems to have already been fixed for Ceph Nautilus; at least I could not reproduce this. What's the actual error message

that the dashboard returns? Is there anything in the mgr log file which may provide further details on the error?

#5 - 11/26/2018 05:49 PM - Lenz Grimmer

- Status changed from New to Need More Info

#6 - 11/27/2018 08:17 AM - Lenz Grimmer

- Related to Bug #24621: Ceph Dashboard doesn't support IDs with special characters added
#7 - 01/18/2019 03:23 PM - Lenz Grimmer

- Status changed from Need More Info to Can't reproduce

No further info was provided, assuming this has been fixed for Nautilus.

#8 - 04/15/2021 05:29 PM - Ernesto Puerta

- Project changed from mgr to Dashboard

- Category changed from 139 to Component - RBD
